Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.miscellaneous
Class WordDelimiterFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.miscellaneous.WordDelimiterFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class WordDelimiterFilterFactory

extends TokenFilterFactory
implements ResourceLoaderAware

Factory for `WordDelimiterFilter`.

     <fieldType name="text_wd" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.WordDelimiterFilterFactory" protected="protectedword.txt"
                 preserveOriginal="0" splitOnNumerics="1" splitOnCaseChange="1"
                 catenateWords="0" catenateNumbers="0" catenateAll="0"
                 generateWordParts="1" generateNumberParts="1" stemEnglishPossessive="1"
                 types="wdfftypes.txt" />
       </analyzer>
     </fieldType>

Field Summary
`static String` | `PROTECTED_TOKENS`
`static String` | `TYPES`

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`WordDelimiterFilterFactory(Map<String,String> args)` Creates a new WordDelimiterFilterFactory

Method Summary
`WordDelimiterFilter` | `create(TokenStream input)` Transform the specified input TokenStream
`void` | `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTECTED_TOKENS

    public static final String PROTECTED_TOKENS

See Also:
  Constant Field Values

### TYPES

    public static final String TYPES

See Also:
  Constant Field Values

Constructor Detail

### WordDelimiterFilterFactory

    public WordDelimiterFilterFactory(Map<String,String> args)

  Creates a new WordDelimiterFilterFactory

Method Detail

### inform

    public void inform(ResourceLoader loader)
                throws IOException

  Description copied from interface: `ResourceLoaderAware`
  Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

  Specified by:
    `inform` in interface `ResourceLoaderAware`
  Throws:
    `IOException`

### create

    public WordDelimiterFilter create(TokenStream input)

  Description copied from class: `TokenFilterFactory`
  Transform the specified input TokenStream

  Specified by:
    `create` in class `TokenFilterFactory`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.